## liblarch 3.0

=== Makefile ===
# -----------------------------------------------------------------------------
# Liblarch - a library to handle directed acyclic graphs
# Copyright (c) 2011-2012 - Lionel Dricot & Izidor Matušov
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# -----------------------------------------------------------------------------

# Simple makefile for common tasks

test:
	./run-tests

sdist:
	python setup.py sdist

# Remove .pyc files
clean:
	find -type f -iname '*.pyc' -exec rm {} \;
	find -type f -iname '*.~*~' -exec rm {} \;
	rm -f *.bak
	rm -rf dist/

# Check for common & easily catchable Python mistakes.
pyflakes:
	pyflakes examples liblarch liblarch_gtk tests \
	main.py open_prof.py run-tests setup.py test.py

# Check for coding standard violations.
pep8:
	pep8 --statistics --count examples liblarch liblarch_gtk tests \
	main.py open_prof.py run-tests setup.py test.py

# Check for coding standard violations & flakes.
lint: pyflakes pep8

=== requirements.txt ===
nose
spec

## liblarch 0.1.0

=== debian/changelog ===
liblarch (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #660142).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 16 Feb 2012 20:52:22 +0100

=== debian/control ===
Source: liblarch
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: https://live.gnome.org/liblarch
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-liblarch/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-liblarch/trunk/

Package: python-liblarch
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gobject-2
Description: easily handle data structures
 Liblarch is a Python module created to easily handle data structure such as
 lists, trees and directed acyclic graphs (tree where nodes can have multiple
 parents).
 .
 Liblarch supports multiple views of one data structure and complex filtering.
 That way, you have a clear separation between your data (Model) and how they
 are displayed (View).

=== debian/watch ===
version=3
http://gtg.fritalk.com/publique/gtg.fritalk.com/liblarch/([\d\.]+)/liblarch-([\d.]+)\.tar\.gz

## liblarch 2.1.0

=== debian/changelog ===
liblarch (2.1.0-4) unstable; urgency=medium

  * New Maintainer (Closes: #755298). Thanks for Luca Falavigna for your work.
  * debian/control:
      - Removed XS-Testsuite: field no longer necessary.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 10 Sep 2015 23:56:00 -0300

liblarch (2.1.0-3) unstable; urgency=medium

  * debian/tests/python2-smoketest:
    - Provide a simple test suite based on autopkgtest.
  * debian/control:
    - Do not provide python-liblarch-gtk transitional package anymore.
    - Build-depend against dh-python for Pybuild support.
    - Adjust Homepage field to match new URL.
    - Bump Standards-Version to 3.9.6, no changes required.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Build with Pybuild.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 01 May 2015 16:28:02 +0200

liblarch (2.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Use canonical URIs for VCS fields.
  * debian/watch:
    - Point to GitHub repository, thanks Bart Martens!

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 14:22:10 +0200

liblarch (2.1.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Fix Vcs-* fields links.
    - Breaks gtg older than version 0.3.
    - Provide transitional package for python-liblarch-gtk, which has
      been merged in python-liblarch.
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/copyright:
    - Point to 1.0 copyright format URL.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Nov 2012 10:31:26 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=liblarch

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python2-smoketest
Depends: python-liblarch

## liblarch 3.0

=== debian/changelog ===
liblarch (3.0-3) experimental; urgency=medium

  * debian/rules:
      - Added -a option to xvfb-run to fix FTBFS see #573679.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 04 Nov 2015 13:48:00 -0200

liblarch (3.0-2) experimental; urgency=medium

  * New Maintainer (Closes: #755298). Thanks for Luca Falavigna for your work.
  * debian/control:
      - Added xauth and xvfb to Build:Depends field.
      - Organized alphabetically Build:Depends: field.
  * debian/examples: 
      - Added line to include examples files.
  * debian/rules:
      - Changed test-args to use xvfb-run in test suite.
      - Included override_dh_compress to not compress examples files.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 21 Sep 2015 14:47:00 -0300

liblarch (3.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Build python3-liblarch package instead of python-liblarch. Adjust
      (build-)dependencies accordingly to support Python 3 only.
    - Build-depend on python3-nose, python3-gi and gir1.2-gtk-3.0
      for testsuite support.
    - Remove XS-Testsuite field, not needed anymore with recent dpkg.
  * debian/docs:
    - README renamed to README.md in upstream tarball.
  * debian/examples:
    - Install main.py example program.
  * debian/rules:
    - Support build of Python 3 module only.
    - Run testsuite at build time.
  * debian/tests/control:
    - Reference python3-smoketest and python3-liblarch instead of
      their older Python 2 versions.
  * debian/tests/python3-smoketest:
    - Rename from python2-smoketest, and adjust to work with Python 3.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 02 Jun 2015 15:05:08 +0200

=== debian/control ===
Source: liblarch
Section: python
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               gir1.2-gtk-3.0,
               python3-all,
               python3-gi,
               python3-nose,
               xauth,
               xvfb
Standards-Version: 3.9.6
X-Python3-Version: >= 3.0
Homepage: https://wiki.gnome.org/Projects/liblarch
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/liblarch/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/liblarch/trunk/

Package: python3-liblarch
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-gtk-3.0
Description: easily handle data structures
 Liblarch is a Python module created to easily handle data structure such as
 lists, trees and directed acyclic graphs (tree where nodes can have multiple
 parents).
 .
 Liblarch supports multiple views of one data structure and complex filtering.
 That way, you have a clear separation between your data (Model) and how they
 are displayed (View).

## liblarch 3.2.0

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,9 @@
 # -----------------------------------------------------------------------------
 
 # Simple makefile for common tasks
+check: tests lint
 
-test:
+tests:
 	./run-tests
 
 sdist:
@@ -26,7 +27,7 @@
 
 # Remove .pyc files
 clean:
-	find -type f -iname '*.pyc' -exec rm {} \;
+	find -type d -name '__pycache__' -print | xargs rm -rf
 	find -type f -iname '*.~*~' -exec rm {} \;
 	rm -f *.bak
 	rm -rf dist/
@@ -34,12 +35,14 @@
 # Check for common & easily catchable Python mistakes.
 pyflakes:
 	pyflakes examples liblarch liblarch_gtk tests \
-	main.py open_prof.py run-tests setup.py test.py
+	main.py run-tests setup.py
 
 # Check for coding standard violations.
 pep8:
-	pep8 --statistics --count examples liblarch liblarch_gtk tests \
-	main.py open_prof.py run-tests setup.py test.py
+	pycodestyle --statistics --count --repeat --max-line-length=110 --ignore=E128,W504 \
+	examples liblarch liblarch_gtk tests main.py run-tests setup.py
 
 # Check for coding standard violations & flakes.
-lint: pyflakes pep8
+lint: pyflakes pycodestyle
+
+.PHONY: check tests sdist clean pyflakes pycodestyle lint

=== requirements.txt ===
nose
spec
pyflakes
pycodestyle

=== debian/changelog ===
liblarch (3.2.0-3) unstable; urgency=medium

  * Replace python3-nose to python3-pytest (Closes: #1018398)

 -- Francois Mazen <francois@mzf.fr>  Wed, 12 Oct 2022 19:09:12 +0200

liblarch (3.2.0-2) unstable; urgency=medium

  * Team upload
  * Fix maintainer according to adoption

 -- Bastian Germann <bage@debian.org>  Mon, 11 Jul 2022 13:31:10 +0200

liblarch (3.2.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Francois Mazen ]
  * Package reintroduction (Closes: #1014194)
  * New upstream version (Closes: #885379, #936887, #1001820)
  * Set debhelper compat to 13
  * Set Rules-Requires-Root no

 -- Francois Mazen <francois@mzf.fr>  Fri, 01 Jul 2022 21:41:54 +0200

=== debian/control ===
Source: liblarch
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Francois Mazen <francois@mzf.fr>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               python3-all,
               python3-gi,
               python3-pytest,
               xauth,
               xvfb
Standards-Version: 4.6.1.0
Homepage: https://wiki.gnome.org/Projects/liblarch
Vcs-Git: https://salsa.debian.org/python-team/packages/liblarch.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/liblarch
Rules-Requires-Root: no

Package: python3-liblarch
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-gtk-3.0
Description: easily handle data structures
 Liblarch is a Python module created to easily handle data structure such as
 lists, trees and directed acyclic graphs (tree where nodes can have multiple
 parents).
 .
 Liblarch supports multiple views of one data structure and complex filtering.
 That way, you have a clear separation between your data (Model) and how they
 are displayed (View).

=== debian/tests/control ===
Tests: python3-smoketest
Depends: python3-liblarch

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/liblarch-$1\.tar\.gz/ \
  https://github.com/getting-things-gnome/liblarch/tags .*/v?(\d\S+)\.tar\.gz
